## golang-github-vmware-govmomi 0.15.0

=== Makefile ===
.PHONY: test

all: check test

check: goimports govet

goimports:
	@echo checking go imports...
	@go get golang.org/x/tools/cmd/goimports
	@! goimports -d . 2>&1 | egrep -v '^$$'

govet:
	@echo checking go vet...
	@go tool vet -structtags=false -methods=false .

test:
	go test -v $(TEST_OPTS) ./...

install:
	go install github.com/vmware/govmomi/govc

doc: install
	./govc/usage.sh > ./govc/USAGE.md

## golang-github-vmware-govmomi 0.8.0

=== debian/changelog ===
golang-github-vmware-govmomi (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #821279).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Jul 2016 22:45:54 +1000

=== debian/control ===
Source: golang-github-vmware-govmomi
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-davecgh-go-spew-dev,
               golang-golang-x-net-dev
Standards-Version: 3.9.8
Homepage: https://github.com/vmware/govmomi
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-vmware-govmomi.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-vmware-govmomi.git
XS-Go-Import-Path: github.com/vmware/govmomi

Package: golang-github-vmware-govmomi-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-davecgh-go-spew-dev,
         golang-golang-x-net-dev
Description: Go library for the VMware vSphere API
 Go library for interacting with VMware vSphere APIs (ESXi and/or vCenter).

## golang-github-vmware-govmomi 0.8.0+git20160719.9.b5ee639

=== debian/changelog ===
golang-github-vmware-govmomi (0.8.0+git20160719.9.b5ee639-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Tim Potter <tpot@hpe.com>  Wed, 12 Apr 2017 11:55:56 +1000

## golang-github-vmware-govmomi 0.15.0

=== debian/changelog ===
golang-github-vmware-govmomi (0.15.0-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/copyright.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 25 Sep 2017 07:58:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := govc/host/esxcli/fixtures vim25/mo/fixtures
export DH_GOLANG_EXCLUDES := examples/datastores govc

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-vmware-govmomi 0.23.0

=== debian/changelog ===
golang-github-vmware-govmomi (0.23.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields.

  [ Shengjing Zhu ]
  * New upstream version 0.23.0
  * Update Build-Depends and Depends for new version
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Update Standards-Version to 4.5.0 (no changes)
  * Add Rules-Requires-Root and autopkgtest-pkg-go
  * Exclude vendor dir
  * Exclude toolbox, vcsim and all examples
  * Disable unreliable race test
  * Add patch to fix source file permission

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 21 Jun 2020 20:01:54 +0800

=== debian/control ===
Source: golang-github-vmware-govmomi
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-uuid-dev,
               golang-github-kr-pretty-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/vmware/govmomi
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vmware-govmomi
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vmware-govmomi.git
XS-Go-Import-Path: github.com/vmware/govmomi
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-vmware-govmomi-dev
Architecture: all
Depends: golang-github-google-uuid-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Go library for the VMware vSphere API
 Go library for interacting with VMware vSphere APIs (ESXi and/or vCenter).

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := govc/host/esxcli/fixtures vim25/mo/fixtures vim25/soap/fixtures
# Only exclude toolbox/, not guest/toolbox
export DH_GOLANG_EXCLUDES := examples govc vcsim github.com/vmware/govmomi/toolbox ^toolbox/.*$$

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3

 https://github.com/vmware/govmomi/releases \
 .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## golang-github-vmware-govmomi 0.24.2

=== debian/changelog ===
golang-github-vmware-govmomi (0.24.2-4) unstable; urgency=medium

  * Team upload
  * Apply patch to fix flaky test (Closes: #1108811)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 09 Jul 2025 06:24:22 +0000

golang-github-vmware-govmomi (0.24.2-3) unstable; urgency=medium

  * Team upload
  * Fix x509.UnknownAuthorityError detection in vim25 package as well
  * Skip TestReadV3 which needs non empty /etc/resolv.conf

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Feb 2023 16:48:46 +0800

golang-github-vmware-govmomi (0.24.2-2) unstable; urgency=medium

  * Team upload
  * Update Standards-Version to 4.6.2 (no changes)
  * Add Multi-Arch hint
  * Skip TestSessionManagerLoginExtension which accesses network
  * Fix x509.UnknownAuthorityError detection
  * Add patch to skip flaky ExampleHandlerREST

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 19 Jan 2023 20:07:39 +0800

golang-github-vmware-govmomi (0.24.2-1) unstable; urgency=medium

  * Team upload.
  * Fix uscan watch file
  * Update Section to golang
  * Update Standards-Version to 4.6.0 (no changes)
  * New upstream version 0.24.2
    + Fix tests with Go1.17 (Closes: #997554)
  * Add new fixtures to DH_GOLANG_INSTALL_EXTRA
  * Exclude toolbox package to reduce Build-Depends
  * Add patch to disable test which needs git command

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 24 Oct 2021 23:20:55 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-vmware-govmomi
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>,
@@ -8,7 +8,7 @@
                golang-any,
                golang-github-google-uuid-dev,
                golang-github-kr-pretty-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/vmware/govmomi
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vmware-govmomi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vmware-govmomi.git
@@ -18,6 +18,7 @@
 
 Package: golang-github-vmware-govmomi-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-google-uuid-dev,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := ovf/fixtures vim25/mo/fixtures vim25/soap/fixtures
export DH_GOLANG_EXCLUDES := examples govc vcsim toolbox/toolbox

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	# To reduce build-depends, the toolbox package is excluded.
	$(RM) _build/src/github.com/vmware/govmomi/toolbox/*.go

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/vmware/govmomi/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian
